Page MenuHomePhabricator

Remove conflict warning for users of visual editor
Closed, ResolvedPublic

Description

Problem
When a user uses the visual editor and has an edit conflict, a pop up appears stating something along the lines of "A conflict appeared. Do you want to solve it manually?". If the user clicks to solve it manually, they land on our edit conflict page, which has a boxed warning that a conflict appeared. The box clutters the interface and does not give any new info to the user.

Task
Remove the warning box for all users who come from using the visual editor.

Background:
This is part of fulfilling wish #1 of the German-speaking community wishlist 2015 (T139601).
The solution is a result of on-wiki discussion and Wikimania 2016 sessions and testings, as well as feedback we received to the prototype.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2017, 11:56 AM

Change 342245 had a related patch set uploaded (by Andrew-WMDE):
[mediawiki/extensions/TwoColConflict] Remove conflict warning for users of visual editor

https://gerrit.wikimedia.org/r/342245

Change 342245 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict] Remove conflict warning for users of visual editor

https://gerrit.wikimedia.org/r/342245

Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Mar 28 2017, 3:40 PM
Lea_WMDE closed this task as Resolved.Apr 11 2017, 1:52 PM